# CVS $Id: align.tcl,v 1.1 1995/02/03 17:14:58 zibi Exp $
##
### Example usage of "VxAlignedForm"
##


proc closeCB { cbs } {
	VtClose
	exit
}



#
#
# Start Program
#
#
set app [VtOpen "VxAlignedForm"]

set dlog [VtFormDialog $app.Dialog\
		-title "My Aligned form"\
		-ok -okCallback closeCB]

set form [VxAlignedForm $dlog.Align\
		{ {"Name:"         {VtText -columns 15 -value "John Doe"}}
		  {"Address:"      {VtText -value "123 Hickory Street"}}
		  {"Phone Number:" {VtText -value "800-555-1212"}}
		  {"Status:"	   {VtRadioBox -numColumns 3 -borderWidth 1}}}]

VtSetValues $form -leftSide FORM -rightSide FORM

set statusbox [VxGetVar $form "widget4"]
VtToggleButton $statusbox.friend -label "Friend"   -value 1
VtToggleButton $statusbox.enemy  -label "Enemy"  
VtToggleButton $statusbox.turkey -label "Turkey"    


VtShow $dlog

VtMainLoop

