# CVS $Id: chlist.tcl,v 1.3 1995/02/03 16:54:22 zibi Exp $

# test for Charm List bugs, now fixed

proc QuitCB {cbs} {
        VtClose
        exit 0
}

proc RunCB {list cbs} {
	VtListSelectItem $list -item one
	sleep 1
	VtListDeleteItem $list -item one
	sleep 1
	VtListDeleteItem $list -position 3
	sleep 1
	VtListSelectItem $list -position 2
	sleep 1
	VtListDeleteItem $list -position 2
	sleep 1
	VtListSelectItem $list -position 1
	sleep 1
	VtListDeleteItem $list -position 1
}

set app [VtOpen "testcharmlist"]
set form [VtFormDialog $app.form -title "Test Charm List"]
set list [VtList $form.list -itemList {one two three four}]
set run [VtPushButton $form.run -label "Run" -callback "RunCB $list"]
set quit [VtPushButton $form.quit -label "Exit" -callback QuitCB \
	-topSide $list -leftSide $run]
VtShow $form
VtMainLoop


