# CVS $Id: dlist2.tcl,v 1.3 1995/02/03 16:54:34 zibi Exp $
#
# This is a visual test of drawn list, to compare it visually
# against the list widget.
#


proc QuitCB {cbs} {
   VtClose
   exit 0
}


source tools.tcl


set ap [VtOpen dd]

set fn [VtFormDialog $ap.form ]

set items { {0 first} {1 second} {2 third} {2 fourth} {1 fifth} {0 sixth} } 

set dl [VtDrawnList $fn.dl \
    	-iconList {./dir.px exec.px file.px} \
	-CHARM_iconList {a b c} \
	-formatList { \
		{ICON 1} \
		{STRING 25 5} \
		{DATA } } \
	-CHARM_formatList { \
		{ICON 1} \
		{STRING 25 2} \
		{DATA } } \
	-columns 15 \
	-rows 6 \
	-recordList $items ]

set lst [VtList $fn.lst \
		-columns 15 -rows 6 -scrollBar 1\
		-alignTop $dl \
		-leftSide $dl \
		-itemList $items ]

set b [ VtPushButton $fn.b \
            -label "Quit" \
            -callback "QuitCB" ]

VtShowDialog $fn

VtMainLoop
