# CVS $Id: optmenu.tcl,v 1.3 1995/02/03 16:55:06 zibi Exp $

#
# Test program for the option menu
#
#

global lab1 menu

proc quitCB {cbs} {
        VtClose
        exit 0
}

proc optMenuCB {cbs} {
	global lab1 menu

	set selectedWidget [VtGetValues $menu -selectedWidget]
	set selectedLabel [VtGetValues $selectedWidget -label]

	VtSetValues $lab1 -label "Selected: $selectedLabel"
}


#
# Start Program
#
set app [VtOpen optionMenu]

set fn [VtStartForm $app.form -title "Option Menus"]

set menu [VtOptionMenu $fn.optmenu -label "Pick one:" -callback optMenuCB]
set but1 [VtPushButton $menu.but1  -label Saab]
set but2 [VtPushButton $menu.but2  -label Acura]
set but3 [VtPushButton $menu.but3 -label Lexus]
VtSetValues $menu -selectedWidget $but2

set lab1 [VtLabel $fn.lab -label "Selection: Saab" -topOffset 20  \
				                   -CHARM_topOffset 2]

set quit [VtPushButton $fn.quit -callback quitCB \
                                -leftSide FORM \
				-rightSide FORM \
				-bottomSide FORM]

# set label to initial value
optMenuCB ""

VtShow $fn
VtMainLoop

